> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain information

> Returns information on source and remote domains, including its supported tokens and configuration details.



## OpenAPI

````yaml openapi/xreserve.yaml get /v1/info
openapi: 3.0.2
info:
  title: Circle xReserve
  version: 1.0.0
  description: >
    xReserve enables transfers between USDC and USDC-backed tokens across
    supported blockchain networks using a secure attestation system.
servers:
  - url: https://xreserve-api-testnet.circle.com
    description: Testnet
  - url: https://xreserve-api.circle.com
    description: Mainnet
security: []
tags:
  - name: xReserve
    description: xReserve endpoints
paths:
  /v1/info:
    get:
      tags:
        - xReserve
      summary: Get domain information
      description: >-
        Returns information on source and remote domains, including its
        supported tokens and configuration details.
      operationId: getInfo
      responses:
        '200':
          $ref: '#/components/responses/DomainsInfoResponse'
        '500':
          $ref: '#/components/responses/ErrorResponse'
components:
  responses:
    DomainsInfoResponse:
      description: Successfully retrieved xReserve network information.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DomainsInfoResponse'
    ErrorResponse:
      description: Standard error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    DomainsInfoResponse:
      type: object
      description: Contains source and remote domain data.
      properties:
        sourceDomains:
          type: array
          description: List of source domains.
          items:
            $ref: '#/components/schemas/SourceDomainInfo'
        remoteDomains:
          type: array
          description: List of remote domains.
          items:
            $ref: '#/components/schemas/RemoteDomainInfo'
      required:
        - sourceDomains
        - remoteDomains
    ErrorResponse:
      type: object
      description: Standard error response.
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Error message
    SourceDomainInfo:
      type: object
      description: Contains information about a source domain.
      properties:
        chain:
          type: string
          description: Human-readable name of the blockchain.
          example: Ethereum
        network:
          type: string
          description: Human-readable name of the network.
          example: Sepolia
        domain:
          type: integer
          description: Unique identifier of the domain.
          example: 0
        contractAddress:
          type: string
          description: Address of the xReserve smart contract deployed on this network.
          example: '0x1234567890123456789012345678901234567890'
        tokens:
          type: array
          description: >-
            List of supported token symbols for the xReserve smart contract
            deployed on this network.
          items:
            type: string
          example:
            - USDC
      required:
        - chain
        - network
        - domain
        - contractAddress
        - tokens
    RemoteDomainInfo:
      type: object
      description: Contains information about a remote domain.
      properties:
        chain:
          type: string
          description: Human-readable chain name.
          example: Ethereum
        network:
          type: string
          description: Human-readable network name.
          example: Mainnet
        domain:
          type: integer
          description: Unique identifier of the domain.
          example: 0
        tokens:
          type: array
          description: List of supported tokens on the remote network.
          items:
            $ref: '#/components/schemas/RemoteTokenInfo'
      required:
        - chain
        - network
        - domain
        - tokens
    RemoteTokenInfo:
      type: object
      description: Contains information about a supported token on a remote domain.
      properties:
        remoteToken:
          type: string
          description: Symbol of the remote token.
          example: USDCx
        remoteTokenIdentifier:
          type: string
          description: Remote token contract address or identifier.
          example: '0xb5c6b65f13c0c3b4bbf572ec78e63b262bd386c1'
        associatedNativeToken:
          type: string
          description: Symbol of the associated native token.
          example: USDC
      required:
        - remoteToken
        - remoteTokenIdentifier
        - associatedNativeToken

````